<?  
session_name('portal_absa');
session_start(); 
?>

<script type="text/javascript">  
    $j_6(document).ready(function(){
        $j_6('#loading').hide();
        var opciones= {
                               beforeSubmit: beforeSub, //funcion que se ejecuta antes de enviar el form
                               success: mostrarRespuesta //funcion que se ejecuta una vez enviado el formulario
            };
		
		$j_3('#form_importa').ajaxForm(opciones);
        function beforeSub(){
            $j_6('#loading').show();
        }
	function mostrarRespuesta (data){
		$j_6('#resultImporta').html(data);
		$j_6('#loading').hide();
        };
        
        
        
});

function changeFile(valor){
    var aValor = valor.split('\\');
    $j_6('#arch').val(aValor[aValor.length-1]);
}

function openXLS(){
	window.open("excel/excelLayoutPagos.php?year="+document.getElementById('year').value+"&mes="+document.getElementById('mes').value,"toolbar=0,location=0");	
}
   
 </script>


<form id="form_importa" name="form_importa" method="POST" enctype="multipart/form-data" action="formularios/extras/importa_pagos.php">
    <table class="td_general">
        <tr>
            <td>
                <div style="display: none"><input type="file" name="xls" id="xls" onChange="changeFile(this.value)"/></div>
                <img src='Imagenes/folderOpen.png' width="18" height="18" onClick="$j_6('#xls').click();" /><input readOnly="true" onClick="$j_6('#xls').click();" style="font-size: 15px; border-color: #fbca93" type="text" id="arch" name="arch" />
            </td>
            <td>
                <input type="image" src="Imagenes/import.png" width="25" height="25" style="border: none"/>
				<select style="font-size: 15px; border-color: #fbca93" name="year" id="year">
					<?for($i=2010; $i < 2030; $i++){?>
						<option value="<?=$i?>"><?=$i?></option>
					<?}?>
				</select>
				<select style="font-size: 15px; border-color: #fbca93" name="mes" id="mes">
					<?for($i=1; $i <= 12; $i++){?>
						<option value="<?=$i?>"><?=$i?></option>
					<?}?>
				</select>
				<img style="cursor: pointer" src="Imagenes/excel.png" width="25" height="25" onclick="openXLS();" />
            </td>
        </tr>
    </table>
</form>
 <div id="resultImporta"></div>
